### Class

# WPEWebProcessExtension Frame

since: 2.26

#### Description [src]

    final class WPEWebProcessExtension.Frame : GObject.Object
    {
      /* No available fields */
    }

A web page frame.

Each `WebKitWebPage` has at least one main frame, and can have any number of subframes.

Available since: 2.26

#### Ancestors

- GObject

#### Instance methods

###### webkit_frame_get_id

Gets the process-unique identifier of this `WebKitFrame`. No other frame in the same web process will have the same ID; however, frames in other web processes may.

since: 2.26

###### webkit_frame_get_js_context

Get the JavaScript execution context of `frame`. Use this function to bridge between the WebKit and JavaScriptCore APIs.

since: 2.22

###### webkit_frame_get_js_context_for_script_world

Get the JavaScript execution context of `frame` for the given `WebKitScriptWorld`.

since: 2.22

###### webkit_frame_get_uri

Gets the current active URI of `frame`.

since: 2.2

###### webkit_frame_is_main_frame

Gets whether `frame` is the main frame of a `WebKitWebPage`.

since: 2.2

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct WPEWebProcessExtensionFrameClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.